Turn output_compression plugin into a library
[rails.git] / Gemfile
1 # Gem source to use
2 source 'http://rubygems.org'
3
4 # Require rails
5 gem 'rails', '3.2.0'
6
7 # Require the postgres database driver
8 gem 'pg'
9
10 # Load jquery support
11 gem 'jquery-rails'
12
13 # Load rails plugins
14 gem 'rails-i18n-updater'
15 gem 'dynamic_form'
16 gem 'rinku', '>= 1.2.2', :require => 'rails_rinku'
17 gem 'oauth-plugin', '>= 0.4.0.pre7'
18 gem 'open_id_authentication', '>= 1.1.0'
19 gem 'validates_email_format_of', '>= 1.5.1'
20 gem 'composite_primary_keys', '>= 4.1.2'
21 gem 'http_accept_language', '>= 1.0.2'
22
23 # Character conversion support for ruby 1.8
24 gem 'iconv', :platforms => :ruby_18
25
26 # Load libxml support for XML parsing and generation
27 gem 'libxml-ruby', '>= 2.0.5', :require => 'libxml'
28
29 # Load ImageMagick support for user picture resizing
30 gem 'rmagick', :require => 'RMagick'
31
32 # Load HTML sanitizer
33 gem 'sanitize'
34
35 # Load SystemTimer for implementing request timeouts
36 gem 'SystemTimer', '>= 1.1.3', :require => 'system_timer', :platforms => :ruby_18
37
38 # Load httpclient for SOAP support for Quova GeoIP queries
39 gem 'httpclient'
40
41 # Load memcache in case we are using it
42 gem 'memcache-client'
43 gem 'memcached'
44
45 # Gems needed for running tests
46 group :test do
47   gem 'timecop'
48 end
49
50 # Gems needed for compiling assets
51 group :assets do
52   gem 'sass-rails', '~> 3.2.3'
53   gem 'coffee-rails', '~> 3.2.1'
54   gem 'uglifier', '>= 1.0.3'
55   gem 'therubyracer'
56 end